Summary:	The GNU core utilities: a set of tools commonly used in shell scripts
Name:		coreutils
Version:	8.28
Release:	%mkrel 1
License:	GPLv3
Group:		System/Base
Url:		http://www.gnu.org/software/coreutils/
Source0:	http://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.xz
Source200:	su.pamd
Source201:	help2man
Source202:	su-l.pamd

Patch1155:	coreutils-8.24-force-option--override--interactive-option.patch
Patch118:	fileutils-8.17-ls_h.patch
Patch500:	coreutils-8.3-mem.patch
Patch201:	coreutils-8.28-sum-color.patch
Patch703:	coreutils-8.21-dateman.patch
Patch713:	coreutils-4.5.3-langinfo.patch
Patch800:	coreutils-i18n.patch
Patch801:	coreutils-i18n-expand-unexpand.patch
Patch803:	coreutils-i18n-fix-unexpand.patch
Patch804:	coreutils-i18n-cut-old.patch
Patch909:	coreutils-5.1.0-64bit-fixes.patch
Patch911:	coreutils-8.3-groupfix.patch
Patch1011:	coreutils-8.28-DIR_COLORS-mdkconf.patch
Patch1013:	coreutils-8.2-always-blinking-colors-on-broken-symlinks.patch
Patch1014:	coreutils-8.22-check-string-format.patch
Patch2101:	coreutils-8.22-manpages.patch
Patch2103:	coreutils-8.2-uname-processortype.patch
Patch2107:	coreutils-8.4-mkdir-modenote.patch
Patch2908:	coreutils-getgrouplist.patch
Patch2912:	coreutils-overflow.patch

BuildRequires:	locales-fr
BuildRequires:	locales-ja
BuildRequires:	locales-zh
BuildRequires:	locales-tr
BuildRequires:	gettext
BuildRequires:	texinfo
BuildRequires:	automake
BuildRequires:	tar
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	strace
BuildRequires: glibc-devel
BuildRequires: %{_lib}acl-devel
BuildRequires: %{_lib}attr1-devel
BuildRequires: %{_lib}cap-devel
BuildRequires: %{_lib}gmp-devel
Requires:	pam
Requires:	util-linux-ng
Provides:	fileutils = %{version}
Provides:	sh-utils = %{version}
Provides:	stat = %{version}
Provides:	textutils = %{version}
Provides:	%{_bindir}/env
Provides:	/bin/env
Obsoletes:	fileutils < %{version}
Obsoletes:	sh-utils < %{version}
Obsoletes:	stat < %{version}
Obsoletes:	textutils  < %{version}
Obsoletes:	base64
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
This package is the union of the old GNU fileutils, sh-utils, and 
textutils packages.

These tools are the GNU versions of common useful and popular
file & text utilities which are used for:
- file management
- shell scripts
- modifying text file (spliting, joining, comparing, modifying, ...)

Most of these programs have significant advantages over their Unix
counterparts, such as greater speed, additional options, and fewer
arbitrary limits.

%package	doc
Summary:	Coreutils documentation in info format
Group:		Documentation
Requires:	coreutils
Requires(post,preun):	info-install
BuildArch:	noarch

%description	doc
This package contains coreutils documentation in GNU info format.

%prep
%setup -q

tee DIR_COLORS{,.256color,.lightbgcolor} <src/dircolors.hin >/dev/null

%apply_patches


chmod a+x tests/misc/sort-mb-tests.sh tests/df/direct.sh || :
chmod +w ./src/dircolors.h
./src/dcgen ./src/dircolors.hin > ./src/dircolors.h


%build
export DEFAULT_POSIX2_VERSION=199209
aclocal -I m4
automake --gnits --add-missing
autoconf
bzip2 -9 ChangeLog

export CFLAGS="%{optflags} -fPIC -D_GNU_SOURCE=1"

%configure2_5x \
	--enable-largefile \
	--enable-pam \
	--enable-no-install-program=hostname,uptime,kill \
	--enable-install-program=arch \
	--without-selinux \
	--disable-rpath \
	--disable-silent-rules


%install
rm -rf %{buildroot}
%makeinstall_std

# man pages are not installed with make install
make mandir=%{buildroot}%{_mandir} install-man

# fix japanese catalog file
if [ -d %{buildroot}%{_datadir}/locale/ja_JP.EUC/LC_MESSAGES ]; then
   mkdir -p %{buildroot}%{_datadir}/locale/ja/LC_MESSAGES
   mv %{buildroot}%{_datadir}/locale/ja_JP.EUC/LC_MESSAGES/*mo \
		%{buildroot}%{_datadir}/locale/ja/LC_MESSAGES
   rm -rf %{buildroot}%{_datadir}/locale/ja_JP.EUC
fi

# let be compatible with old fileutils, sh-utils and textutils packages :
mkdir -p %{buildroot}{/bin,%{_bindir},%{_sbindir},%{_sysconfdir}/pam.d}
for f in basename cat chgrp chmod chown cp cut date dd df echo env expr false id link ln ls mkdir mknod mv nice pwd rm rmdir sleep sort stat stty sync touch true uname unlink tac
do
	mv %{buildroot}/{%{_bindir},bin}/$f
done

ln -sf ../../bin/expr %{buildroot}%{_bindir}/
ln -sf ../../bin/tac %{buildroot}%{_bindir}/

# chroot was in /usr/sbin :
mv %{buildroot}/{%{_bindir},%{_sbindir}}/chroot
# {cat,sort,cut} were previously moved from bin to /usr/bin and linked into 
for i in env cut; do ln -sf ../../bin/$i %{buildroot}/usr/bin; done

install -m644 src/dircolors.hin -D %{buildroot}%{_sysconfdir}/DIR_COLORS

# These come from util-linux and/or procps.
for i in hostname uptime ; do
	rm -f %{buildroot}{%{_bindir}/$i,%{_mandir}/man1/${i}.1}
done

install -m 644 %{SOURCE200} %{buildroot}%{_sysconfdir}/pam.d/su
install -m 644 %{SOURCE202} %{buildroot}%{_sysconfdir}/pam.d/su-l

bzip2 -9f old/*/C* || :

rm -f %{buildroot}%{_mandir}/man1/kill.1
find %{buildroot}%{_datadir}/locale/ -name coreutils.mo | fgrep LC_TIME | xargs rm -f


%find_lang %{name}

rm -f %{buildroot}%{_datadir}/info/dir

%clean
rm -rf %{buildroot}

%pre doc
for file in sh-utils.info textutils.info fileutils.info; do
	if [ -f /usr/share/info/$file.bz2 ]; then
		/sbin/install-info /usr/share/info/$file.bz2 --dir=/usr/share/info/dir --remove &> /dev/null
	fi
done

%preun doc
%_remove_install_info %name.info

%post doc
%_install_info %name.info
true

%files -f %{name}.lang
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/D*
%config(noreplace) %{_sysconfdir}/pam.d/su
%config(noreplace) %{_sysconfdir}/pam.d/su-l
%doc README
/bin/*
%{_bindir}/*
%{_sbindir}/chroot
#%{_libdir}/coreutils/libstdbuf.so
%{_libexecdir}/coreutils/libstdbuf.so

%files doc
%defattr(-,root,root)
%doc ABOUT-NLS ChangeLog.bz2 NEWS THANKS TODO 
%{_infodir}/coreutils*
%{_mandir}/man*/*


%changelog
* Sun Sep 17 2017 bb2 <bb2> - 8.28-1pclos2017
- new version

* Fri Mar 24 2017 bb2 <bb2> - 8.27-1pclos2017
- new version

* Thu Mar 23 2017 bb2 <bb2> - 8.26-1pclos2017
- new version

* Mon Sep 21 2015 bb <bb> - 8.24-3pclos2015
- use fedora patches

